<div class="col-md-12">

  <div tabindex="-1" role="dialog">


    <div class="modal-dialog" role="document" style="max-width: 2000px;margin:3.4% 0;">
      <div class="modal-content" style="background-color:lightgray">
        <form [formGroup]="addQnForm" (ngSubmit)="onAddQn()">

          <div class="modal-header">
            <table style="width: 100%">
              <tr>
                <th>
                  <h5 style="margin-bottom: 1%;">
                    Add Question</h5>
                </th>
              </tr>
              <tr>
                <td>
                  <div>
                  <input formControlName="question_string" class="form-control" type="text" style="width: 97.5%" [value]="createQuizData[0].questions[editIndex].question_string">
                </div>
                </td>
              </tr>
            </table>

          </div>
          <div class="modal-body">
            <div style="padding-bottom: 1%;">
              <table style="width: 100%">
                <tr>
                  <th>
                    <h5 style="margin-bottom: 1%;">
                      Answer 1</h5>
                  </th>
                  <th>
                    <h5 style="margin-bottom: 1%;"> Answer 2</h5>
                  </th>
                </tr>
                <tr>
                  <td>
                    <input formControlName="answer_1" class="form-control" style="width: 95%" value="fdsfdas" [value]="createQuizData[0].questions[editIndex].answers[0]">
                  </td>
                  <td>
                    <input formControlName="answer_2"  class="form-control" style="width: 95%" type="text" [value]="createQuizData[0].questions[editIndex].answers[1]">
                  </td>
                </tr>
                <tr>
                  <td style="margin-top: 3%">
                    <h5 style="margin-top: 1%;">
                      Answer 3</h5>
                  </td>
                  <td style="margin-top: 3%">
                    <h5 style="margin-top: 1%;">
                      Answer 4</h5>
                  </td>
                </tr>
                <tr>
                  <td>
                    <input id="" formControlName="answer_3" class="form-control" style="width: 95%" type="text" [value]="createQuizData[0].questions[editIndex].answers[2]">
                  </td>
                  <td>
                    <input formControlName="answer_4" class="form-control" style="width: 95%" type="text" [value]="createQuizData[0].questions[editIndex].answers[3]">
                  </td>
                </tr>
              </table>

            </div>
          </div>


          <div class="modal-footer"></div>
          <span style="float: left">
            <p>Time Limit(Seconds):</p>
          </span>
          <span style="margin-left: 5px">
            <input formControlName="time_limit" style="width:5%;padding-left: 1.5%" type="number"[value]="createQuizData[0].questions[editIndex].time_limit" >
          </span>
          <span style="margin-left: 10px"> Correct Answer:</span>
          <span style="margin-left: 5px">
            <input  formControlName="correct_answer" style="width:5%;padding-left: 1.5%" type="number" [value]="createQuizData[0].questions[editIndex].correct_answer">
          </span>
        </form>
      </div>
    </div>
  </div>



  <div>
    <form (ngSubmit)="onAddQn()">
    <button class="btn btn-primary" type="submit button" style="width: 45%;border-radius:20px;height: 50px; margin-bottom: 3.4%"
      >
      Done
    </button>

    <button class="btn btn-primary" style="width: 45%;border-radius:20px;height: 50px; margin-bottom: 3.4%; margin-left:10%;
      background-color: rgb(170, 5, 5); border-color: rgb(170, 5, 5)" (click)="routeToCreate()">
      Go Back
    </button>
  </form>

  <div *ngIf="over_time_limit">
    <p style="text-align: center;color: white;font-size: 20px"> That time limit is too long!</p>
  </div>
  <div *ngIf="invalid_right_answer">
      <p style="text-align: center;color: white;font-size: 20px"> The correct answer is not valid!</p>
    </div>
  </div>



</div>
